Edgewall Software
Modify

Opened 7 years ago

Last modified 17 months ago

#5475 new task

Translation of Trac to German/Deutsch [de_DE]

Reported by: asmodai@… Owned by: Felix Schwarz <felix.schwarz@…>
Priority: normal Milestone: translations
Component: i18n Version:
Severity: normal Keywords: l10n german
Cc: ip.3777@…, gregor@…, dasch_87@…, felix.schwarz@…, daniel@…, hoff.st@…, martin@…
Release Notes:
API Changes:

Description

This ticket should be used to coordinate the translation to German.

Attachments (47)

loc-de_DE.patch (69.8 KB) - added by Axel Gembe 6 years ago.
German localization update
loc-de_DE-trunk-r7009.patch (7.6 KB) - added by Axel Gembe 6 years ago.
Some more german translations
loc-de_DE-trunk-r7009-2.patch (7.6 KB) - added by Axel Gembe 6 years ago.
Fix a typo in the last patch
loc-de_DE-trunk-r7009-3.patch (7.6 KB) - added by Axel Gembe 6 years ago.
Fix another typo in the last patch
loc-de_DE-trunk-r7009-3.2.patch (7.6 KB) - added by Axel Gembe 6 years ago.
Fix some typos in the last patch
0001-locale-de_DE-Fix-3-translation-errors.patch (1.6 KB) - added by Axel Gembe 6 years ago.
Fix 3 mistranslated strings
0001-locale-de_DE-Fix-3-translation-errors.2.patch (43.5 KB) - added by Axel Gembe 6 years ago.
Update translation again (delete last one plz)
8 (94.1 KB) - added by Heiko Graeber <ip.3777@…> 5 years ago.
loc-de_DE-trunk-r7492-1.patch
trac_logo.png (11.9 KB) - added by Heiko Graeber <ip.3777@…> 5 years ago.
Germanized Trac logo as PNG.
trac_banner.png (5.7 KB) - added by Heiko Graeber <ip.3777@…> 5 years ago.
Germanized Trac banner (About dialog) as PNG.
loc-de_DE-trunk-r7492-2.patch (161.0 KB) - added by Heiko Graeber <ip.3777@…> 5 years ago.
Patch of German PO Catalog file ready for milestone:0.12 .
trac_locale_de-DE_LC-MESSAGES_r7934.patch (865 bytes) - added by Gregor Wegberg <gregor@…> 5 years ago.
two changes: "up/down" ⇒ "hoch/runter", "Verantwortlichkeit" ⇒ "Verantwortung"
fs-00-sync_de_with_pot (217.6 KB) - added by Felix Schwarz <felix.schwarz@…> 4 years ago.
sync outdated po file with pot
fs-01-fix_fuzzy_translations (60.8 KB) - added by Felix Schwarz <felix.schwarz@…> 4 years ago.
fix fuzzy translations - I tried only to correct obvious problems
fs-02-fix_spelling (7.5 KB) - added by Felix Schwarz <felix.schwarz@…> 4 years ago.
fix some obvious spelling mistakes (mostly "daß" → "dass", "muß" → muss) as well as some format strings
5475-trac_locale_de_LC_MESSAGES_messages.po-r9526.patch (16.1 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
Some more strings translated
20100428_hasienda_working-copy_messages.patch (9.1 KB) - added by hasienda <hoff.st@…> 4 years ago.
patch as submitted to Felix Schwarz directly, just for reference
messages.po (172.1 KB) - added by Daniel Musketa (vlt) <daniel@…> 4 years ago.
diff against trunk including (most of) hasienda's Patches
5475-trac_locale_de_LC_MESSAGES_messages.po-r9602.patch (57.3 KB) - added by Daniel Musketa (vlt) <daniel@…> 4 years ago.
for real this time
5475-trac_locale_de_LC_MESSAGES_messages.po-r9610.patch (120.2 KB) - added by Daniel Musketa (vlt) <daniel@…> 4 years ago.
updated to latest extraction and tons of new translations from hasienda and vlt
5475-trac_locale_de_LC_MESSAGES_messages.po-2010-05-02.patch (9.2 KB) - added by Daniel Musketa (vlt) <daniel@…> 4 years ago.
diff against yesterday's patch: minor changes and small fixes
5475-trac_locale_de_LC_MESSAGES_messages.po-2010-05-04.patch (579 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
diff against previous patch: fixed typo
01_disputable_fixes (860 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
diff against r9613
02_minor_changes (8.7 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
diff against r9613+02_minor_changes
01_disputable_fixes.patch (860 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
diff see no color
02_minor_changes.patch (8.7 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
diff see no color
03_typo.patch (465 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
fixed typo
04-update-de-after-r9632.patch (4.2 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
update after r9632
05-fixed-fuzzy-translation.patch (891 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
fixed fuzzy translation
06-added-missing-closing-bracket.patch (621 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
added missing closing bracket
07-update-de-after-r9651.patch (11.8 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
update after r9651
08-fixed-added-translations.patch (2.5 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
fixed/added translations
09-fixed-typo.patch (579 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
fixed typo
10-update-de-after-9672.patch (19.4 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
update de after r9672
11-fixed-translations.patch (2.3 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
fixed translations
0001-update-after-r9728.patch (36.0 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0002-fixed-translations.patch (4.1 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0003-update-de.patch (2.4 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0001-update-de-after-r9752.patch (18.0 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0002-fixed-translations.2.patch (3.3 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0003-update-de-after-r9768.patch (5.0 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0004-added-translations-to-js-po.patch (4.7 KB) - added by Daniel Musketa <daniel@…> 4 years ago.
0005-proposed-fix-from-Robert-Rossmair.patch (683 bytes) - added by Daniel Musketa <daniel@…> 4 years ago.
i18n_de_ticket-admin_components-label_fixed.patch (423 bytes) - added by hasienda <hoff.st@…> 4 years ago.
micro patch correcting one admin nav item for the ticket system
de_timedelta_plural_fix.patch (776 bytes) - added by Martin Scharrer <martin@…> 4 years ago.
Small patch to change German plural of "days", "month", "years" to include the missing "n" ("Tagen" instead of "Tage", etc.) required in the context of timedeltas.
messages.pot.diff (2.1 KB) - added by anonymous 3 years ago.
Additional message strings for ticket #9777
messages.po.diff (3.2 KB) - added by anonymous 3 years ago.
German translation for additional message strings of ticket #9777

Download all attachments as: .zip

Change History (166)

comment:1 Changed 7 years ago by asmodai@…

See also TracTermsDe.

comment:2 Changed 7 years ago by asmodai@…

  • Keywords german added

comment:3 Changed 7 years ago by asmodai@…

  • Summary changed from Translation of Trac to German [de_DE] to Translation of Trac to German/Deutsch [de_DE]

comment:4 Changed 7 years ago by jruigrok

  • Milestone changed from not applicable to 0.12
  • Owner changed from jonas to jruigrok

comment:5 Changed 7 years ago by jruigrok

  • Status changed from new to assigned

comment:6 Changed 7 years ago by jruigrok

comment:7 Changed 6 years ago by jruigrok

  • Component changed from general to i18n

Changed 6 years ago by Axel Gembe

German localization update

comment:8 Changed 6 years ago by Axel Gembe

This is an updated localization file against the latest version from sandbox.

comment:9 Changed 6 years ago by cboos

Please follow trunk now that the branch has been merged. Asmodai, you should perhaps remove source:sandbox/i18n, in order to reduce the possible confusion.

comment:10 Changed 6 years ago by jruigrok

It's removed now, still a bit behind on everything. Thanks for the heads up. Let me integrate Axel's stuff now.

comment:11 Changed 6 years ago by anonymous

Ooops, didn't know it was merged already. Someone should also edit TracDev/SandBox and put it under completed branches.

comment:12 Changed 6 years ago by jruigrok

Committed in r7005.

TracDev/SandBox has been adjusted.

comment:13 Changed 6 years ago by jruigrok

By the way Axel, yes, your comments in some places in the file are correct. It's still something we are working on for fixing. See for more background #G129.

Changed 6 years ago by Axel Gembe

Some more german translations

comment:14 Changed 6 years ago by Axel Gembe

I've added another patch with more translations and a few that were left out of the previous commit (intentional?) About the comments, I've just added them to know where changes to the source code are needed. There is one really bad hack in those translations I posted.

comment:15 follow-up: Changed 6 years ago by Axel Gembe

Hmm, I just tried trunk with the translations, and I seem to get this:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/Trac-0.12dev-py2.5.egg/trac/web/api.py", line 346, in send_error
    translation.deactivate()
  File "/usr/lib/python2.5/site-packages/Trac-0.12dev-py2.5.egg/trac/util/translation.py", line 79, in deactivate
    del _current.translations
AttributeError: translations

Is this a known problem ?

Changed 6 years ago by Axel Gembe

Fix a typo in the last patch

Changed 6 years ago by Axel Gembe

Fix another typo in the last patch

Changed 6 years ago by Axel Gembe

Fix some typos in the last patch

comment:16 in reply to: ↑ 15 ; follow-up: Changed 6 years ago by cboos

Replying to Axel Gembe:

... del _current.translations ... AttributeError: translations }}}

Is this a known problem ?

More or less: I saw it and tried to trigger it, but when failing to do so, I wrongly concluded this couldn't happen ;-) Could you look up the original error in your Trac log? (what you pasted above was a secondary error which happened after rendering of the original error)

comment:17 Changed 6 years ago by Axel Gembe

Sure, I just have to figure out trac logging. Expect a log in a few minutes.

comment:18 Changed 6 years ago by Axel Gembe

Sorry, I don't know why, but its working again now. I've replaced the default config with one that does logging and reset the permissions on the trac folder, now it works.

comment:19 in reply to: ↑ 16 Changed 6 years ago by cboos

Replying to cboos:

Replying to Axel Gembe:

... del _current.translations ... AttributeError: translations }}}

Is this a known problem ?

More or less: I saw it and tried to trigger it, but when failing to do so, I wrongly concluded this couldn't happen ;-)

Fixed in r7051.

comment:20 Changed 6 years ago by benjamin-ruehl@…

Hello,

nice work. Is ist possible to include/install this languagepackage in trac 0.9 und how can i do this?

Thanks.

comment:21 Changed 6 years ago by jruigrok

No, trunk only.

comment:22 Changed 6 years ago by jruigrok

Applied in r7139. Vielen Dank.

Changed 6 years ago by Axel Gembe

Fix 3 mistranslated strings

comment:23 Changed 6 years ago by Axel Gembe

I've added another patch which fixes some errors I made while translating.

Changed 6 years ago by Axel Gembe

Update translation again (delete last one plz)

comment:24 Changed 6 years ago by jruigrok

Hi Axel,

committed in r7282.

I left suchen with a small letter since it is still a verb, right? So no need to make it Suchen for all I know and could verify with other native German speakers.

Vielen Dank.

comment:25 Changed 6 years ago by cboos

  • Milestone changed from 0.13 to 0.12

comment:26 follow-up: Changed 6 years ago by anonymous

Ein paar andere Vorschläge:

  • Timeline (Zeitleiste) → Zeitachse
  • Roadmap (Fahrplan) → Projektplan
  • enhancement (Verbesserungsvorschlag) → Verbesserung Ist doch sonst zu lange. Aber scheint sowieso nicht zu gehen.

comment:27 in reply to: ↑ 26 Changed 6 years ago by Simon <saimen54@…>

Replying to anonymous:

Ein paar andere Vorschläge:

Timeline (Zeitleiste) → Zeitachse

Roadmap (Fahrplan) → Projektplan

enhancement (Verbesserungsvorschlag) → Verbesserung Ist doch sonst zu lange.

I agree. IMO "Fahrplan" is not really the correct term for this context.

Some different suggestions:

  • wontfix (abgelehnt) → keineLösung The current proposal has a completely different meaning. At least I don't use "wontfix" for this meaning.
  • reopened (wiedereröffnet) → wiedergeöffnet The current proposal applies more e.g. to a shop reopening for me, but that might be a dialect issue :)
  • attached to … by … (angehangen an … von …) → angehängt an … von …
  • reopened by … (wiedereröffnet von …) → wieder geöffnet von … see above
  • milestone completed (Meilenstein erreicht) → Meilenstein vollständig or Meilenstein abgeschlossen

comment:28 follow-up: Changed 6 years ago by kontakt at meitzner dot net

  • Roadmap → I'd favour "Projektplan" in most cases
    • Timeline → What about "Verlauf" here?
    • enhancement → It's long, but I've come to actually use "Verbesserungsvorschlag" in the end, since it fits best semantically. "Erweiterung" should be a candidate, too.
    • wontfix → "bleibtso" ;-)
    • milestone completed → "Meilenstein abgeschlossen" fits best I'd say.

comment:29 in reply to: ↑ 28 Changed 6 years ago by Simon <saimen54@…>

Replying to kontakt at meitzner dot net:

Timeline → What about "Verlauf" here?

That's a good idea

enhancement → It's long, but I've come to actually use "Verbesserungsvorschlag" in the end, since it fits best semantically. "Erweiterung" should be a candidate, too.

From my point of view "Verbesserung" or "Erweiterung" would be okay. Following your argument on "Verbesserungsvorschlag" then it should be called "Erweiterungsvorschlag", too ;)

wontfix → "bleibtso" ;-)

Colloquial, but closest translation to wontfix :)

milestone completed → "Meilenstein abgeschlossen" fits best I'd say.

yep

comment:30 Changed 6 years ago by jruigrok

I'll gladly apply any patches once you reach sort of a consensus. :)

comment:31 Changed 6 years ago by Simon <saimen54@…>

Personally I agree on these proposals. Any other comments?

comment:32 follow-ups: Changed 6 years ago by Heiko Graeber <ip.3777@…>

  • Cc ip.3777@… added

Yes! I've got something. Please stand by.

comment:33 in reply to: ↑ 32 Changed 5 years ago by Simon <saimen54@…>

Replying to Heiko Graeber <ip.3777@…>:

Yes! I've got something. Please stand by.

Standing by… :)

comment:34 Changed 5 years ago by Simon <saimen54@…>

Should the changes proposed in comment:26, comment:27, comment:28 and comment:29 be applied as no further remarks have been made here for quite some time?

comment:35 Changed 5 years ago by cboos

Well, those suggestions were only discussed, no actual patch was proposed so there's nothing to apply…

comment:36 in reply to: ↑ 32 Changed 5 years ago by Heiko Graeber <ip.3777@…>

The German Trac Dictionary was very outdated and incomplete. I have overworked and amended it a lot based on the current messages.po and on the prudent choice of terms in the English Trac version.

So now we have a unified common set of German terms again which can be consistently used throughout the web pages and messages of Trac.

Changed 5 years ago by Heiko Graeber <ip.3777@…>

  • Attachment 8 added

loc-de_DE-trunk-r7492-1.patch

comment:37 in reply to: ↑ 32 Changed 5 years ago by Heiko Graeber <ip.3777@…>

And here is a new German translation based on the current dictionary. It's a patch for the latest trunk version r7492 of messages.po.

Besides turning to account the dictionary terms in a consistent manner I have fixed a lot of errors in respect to Syntax and Semantics.

There had also been a multitude of non-trivial inconsistencies pertaining to clause position and other grammatical differences between English and German. The way Trac messages and texts are arranged and divided into pieces does not yet take into account the structure of languages different from English.

Changed 5 years ago by Heiko Graeber <ip.3777@…>

Germanized Trac logo as PNG.

Changed 5 years ago by Heiko Graeber <ip.3777@…>

Germanized Trac banner (About dialog) as PNG.

comment:38 Changed 5 years ago by Heiko Graeber <ip.3777@…>

Aren't the Germans well-known for doing things thoroughly? So I think we have to comply to that. Yes we can! (Ja, wir Büchse!) ;-)

For that reason I also germanized the Trac logo. Doesn't it look handsome? Germanized Trac banner (About dialog) as PNG.

comment:39 follow-up: Changed 5 years ago by Simon <saimen54@…>

I've reviewed TracTermsDe and I have some remarks:

  • wontfix / abgelehnt → As pointed out in 27 I don't use "wontfix" for rejecting tickets/issues only. I use wontfix in a more general way, e.g. also if the problem depends on a external lib and a change of the lib to fix that issue cannot be done. So for me the translations "bleibt so" or "keine Lösung" would be better. Any other opinions how wontfix is used?
  • worksforme / ohne Beanstandung → Maybe "nicht reproduzierbar"?
  • Resolution / Bearbeitungszustand → For me resolution should be translated with "Lösung". The current term "Bearbeitungszustand" is more like "Status of progress". N.B. where is the term "Resolution" used in the ticket system anyway?
  • Milestone completed / Meilenstein erreicht → "Meilenstein abgeschlossen"?

comment:40 in reply to: ↑ 39 ; follow-ups: Changed 5 years ago by Heiko Graeber <ip.3777@…>

Replying to Simon <saimen54@…>:

Simon, thank you for your review comments.

  • wontfix / abgelehnt → As pointed out in 27 I don't use "wontfix" for rejecting tickets/issues only. I use wontfix in a more general way, e.g. also if the problem depends on a external lib and a change of the lib to fix that issue cannot be done. So for me the translations "bleibt so" or "keine Lösung" would be better. Any other opinions how wontfix is used?

You've made clear that wontfix is just a matter of doing or not doing the fix - in contrast to the worksforme resolution even without any judgement about whether the software works. So we should choose a clear-cut and value-neutral wording for the rejection of the fix.

  • worksforme / ohne Beanstandung → Maybe "nicht reproduzierbar"?

Normally you do the setup, test it, and say: "for me it works". Then you have reproduced it, but you have judged that you don't object to it. So how do we call that then in German? - "getestet und für gut befunden" - "in Ordnung" - "funktioniert" - … But in any case you have to make clear whether the implied judgement is about the software or about the ticket.

  • Resolution / Bearbeitungszustand → For me resolution should be translated with "Lösung". The current term "Bearbeitungszustand" is more like "Status of progress".

Would you want the system to tell you "Die Lösung ist Duplikat" or "Die Lösung ist ungültig"? It is true that we are not talking about the status of progress (workflow). What do you think about "Status der Lösung" or "Lösungszustand"?

N.B. where is the term "Resolution" used in the ticket system anyway?

It occurs as a shadowy existence in a currently hidden admin panel, in the custom ticket query and in some hint messages. So we are not duty bound to keep the wording short.

  • Milestone completed / Meilenstein erreicht → "Meilenstein abgeschlossen"?

From the sense of words it is better, and I have considered this, too. I chose "erreicht" because it better matches the idea of a mile-stone along a road-map.

comment:41 in reply to: ↑ 40 Changed 5 years ago by Simon <saimen54@…>

Replying to Heiko Graeber <ip.3777@…>:

You've made clear that wontfix is just a matter of doing or not doing the fix - in contrast to the worksforme resolution even without any judgement about whether the software works. So we should choose a clear-cut and value-neutral wording for the rejection of the fix.

Normally you do the setup, test it, and say: "for me it works". Then you have reproduced it, but you have judged that you don't object to it. So how do we call that then in German? - "getestet und für gut befunden" - "in Ordnung" - "funktioniert" - … But in any case you have to make clear whether the implied judgement is about the software or about the ticket.

OK, agreed. I've re-thought my own workflows for the use of wontfix and worksforme as well :)

Would you want the system to tell you "Die Lösung ist Duplikat" or "Die Lösung ist ungültig"? It is true that we are not talking about the status of progress (workflow). What do you think about "Status der Lösung" or "Lösungszustand"?

I would agree with "Status der Lösung"

N.B. where is the term "Resolution" used in the ticket system anyway?

It occurs as a shadowy existence in a currently hidden admin panel, in the custom ticket query and in some hint messages. So we are not duty bound to keep the wording short.

Ah, okay

From the sense of words it is better, and I have considered this, too. I chose "erreicht" because it better matches the idea of a mile-stone along a road-map.

OK, would be fine for me, too.

comment:42 Changed 5 years ago by Heiko Graeber <ip.3777@…>

I have added a Wiki page TracGermanTranslation on Trac Hacks as a cross-reference to our work.

comment:43 follow-up: Changed 5 years ago by jruigrok

So is there a patch that I can apply right now or does it need revising because of the terms you have been discussing above?

comment:44 Changed 5 years ago by Simon <saimen54@…>

Heiko, if you agree on "Status der Lösung", you could add this to the patch. The other discussed items are okay for me.

Changed 5 years ago by Heiko Graeber <ip.3777@…>

Patch of German PO Catalog file ready for milestone:0.12 .

comment:45 in reply to: ↑ 43 Changed 5 years ago by Heiko Graeber <ip.3777@…>

Replying to jruigrok:

So is there a patch that I can apply right now or does it need revising because of the terms you have been discussing above?

The patch is ready for integration.

Simon, it also includes the "Status der Lösung" wording. Furthermore I have updated and reworked the catalog with the latest set of messages (more than 80 new ones).

comment:46 Changed 5 years ago by jruigrok

Committed in r7746. Vielen Dank.

Simon, what's your last name (so I can properly add you to THANKS).

comment:47 Changed 5 years ago by Simon <saimen54@…>

Martin is my last name :)

comment:48 follow-up: Changed 5 years ago by anonymous

Hi!

Just one comment on "Status der Lösung": this might make sense to someone who knows the original English term, but by itself, it is pretty incomprehensible. I mean, what the hell is "status of solution" supposed to mean?

I don't really have a better translation at hand, but maybe it should be something along the lines of "Prüfungsergebnis". Or, from the point of view of the reporter, you could also use something like "Bescheid", although that sounds a bit too much like it came from the Bundesagentur für Arbeit :-)

comment:49 in reply to: ↑ 48 ; follow-up: Changed 5 years ago by Heiko Graeber <ip.3777@…>

Replying to anonymous:

Yes, I get your point. As you may have noticed it is not easy to find appropriate terms for everything. The "Status der Lösung" is already the product of some discussion and agreement. But you really have given a better idea for the sense of this resolution. Coming from there - how does "Bearbeitungsergebnis" or "Beurteilung" sound to you?

By the way this term occurs in very few places in Trac.

comment:50 follow-up: Changed 5 years ago by anonymous

Why not simply keep the term "Status" or "Aktueller Status"? The other terms sound pretty over-engineered to me…

comment:51 in reply to: ↑ 50 ; follow-up: Changed 5 years ago by Heiko Graeber <ip.3777@…>

Replying to anonymous:

Why not simply keep the term "Status" or "Aktueller Status"? The other terms sound pretty over-engineered to me…

There are two different attributes of a ticket:

  • the status which can be new, assigned, reopened, or closed
  • the resolution which can be fixed, invalid, wontfix, duplicate, or worksforme

The current joint effort is towards finding a suitable German word for the resolution.

So when you set the status of a ticket to closed ("dessen Bearbeitung abschließen") by for example resolving it as duplicate ("es als Duplikat beurteilen"), the question is then if you would say in German that "die Beurteilung ist: Duplikat".

By the way, what's your name or pseudonym?

Changed 5 years ago by Gregor Wegberg <gregor@…>

two changes: "up/down" ⇒ "hoch/runter", "Verantwortlichkeit" ⇒ "Verantwortung"

comment:52 Changed 5 years ago by Gregor Wegberg <gregor@…>

  • Cc gregor@… added

I just added a small change (trac_locale_de-DE_LC-MESSAGES_r7934.patch). "up/down" changed to "hoch/runter" (now it's really German) and changed "Verantwortlichkeit" to "Verantwortung" (from my point of view this seems to sound better).

I hope this is useful. If not - no problem - just try to give something back. Else I think the translation is great, thank you!

comment:53 in reply to: ↑ 51 Changed 5 years ago by Gregor Wegberg <gregor@…>

Replying to Heiko Graeber <ip.3777@…> and to Heiko Graeber <ip.3777@…>:

I would use for "resolution" "Lösung" so: "Die Lösung ist: Duplikat". Sounds fine for me or do I miss the point (I'm referring to the translation of " msgid "The resolution will be set" ")

cheers, gregor

comment:54 in reply to: ↑ 49 ; follow-up: Changed 5 years ago by sonicpictures

Replying to Heiko Graeber <ip.3777@…>:

Replying to anonymous:

Yes, I get your point. As you may have noticed it is not easy to find appropriate terms for everything. The "Status der Lösung" is already the product of some discussion and agreement. But you really have given a better idea for the sense of this resolution. Coming from there - how does "Bearbeitungsergebnis" or "Beurteilung" sound to you?

Bearbeitungsergebnis sounds nice, even if it has a lot of syllables (Fazit might be a short word which has nearly the same signification). Beurteilung sounds a bit too heavy for my taste, but how's about Bewertung?

(I'm anonymous from comment 48, anonymous from 50 is someone else)

comment:55 in reply to: ↑ 40 Changed 5 years ago by Robert Rossmair <r.rossmair@…>

Replying to Heiko Graeber <ip.3777@…>:

Replying to Simon <saimen54@…>:

  • worksforme / ohne Beanstandung → Maybe "nicht reproduzierbar"?

Normally you do the setup, test it, and say: "for me it works". Then you have reproduced it, but you have judged that you don't object to it. So how do we call that then in German? - "getestet und für gut befunden" - "in Ordnung" - "funktioniert" - … But in any case you have to make clear whether the implied judgement is about the software or about the ticket.

"nicht reproduzierbar" or, more explicit, "Fehler nicht reproduzierbar" conform to the meaning of worksforme, as defined in https://developer.mozilla.org/En/What_to_do_and_what_not_to_do_in_Bugzilla or http://www.suitable.com/docs/mantisbt.html. That can't be said for "ohne Beanstandung".

In another matter, instead of "Individuelle Abfrage" for "custom query" I'd suggest "Benutzerdefinierte Abfrage".

comment:56 in reply to: ↑ 54 ; follow-up: Changed 5 years ago by anonymous

Replying to sonicpictures:

Replying to Heiko Graeber <ip.3777@…>:

Replying to anonymous:

Yes, I get your point. As you may have noticed it is not easy to find appropriate terms for everything. The "Status der Lösung" is already the product of some discussion and agreement. But you really have given a better idea for the sense of this resolution. Coming from there - how does "Bearbeitungsergebnis" or "Beurteilung" sound to you?

How about "Ergebnis"? If find this to be the closest translation to "Resolution" and it seems to fit well in the different use cases.

Bearbeitungsergebnis sounds nice, even if it has a lot of syllables (Fazit might be a short word which has nearly the same signification). Beurteilung sounds a bit too heavy for my taste, but how's about Bewertung?

(I'm anonymous from comment 48, anonymous from 50 is someone else)

comment:57 Changed 5 years ago by jruigrok

Gregor's patch applied in r8051.

comment:58 Changed 5 years ago by Qjuh

Just a little input from an (yet) uninvolved german for the 'resolution'-issue:

What about something like "Prädikat", because I think it somehow has the same complexity as resolution has, but still a compact phrase.

comment:59 follow-up: Changed 4 years ago by Robert Rossmair <r.rossmair@…>

Tickets: I don't like the translation of "Owned by:" as "Verantwortlicher:" (i.e. "person responsible [male]:"). "Verantwortlicher" has a "who to put the blame on if something goes wrong" note, which IMO goes against the spirit of collaboration Trac in my understanding tries to promote. Why not "Gehört:" (which rings positive and would have the benefit of being gender-neutral)? Or, if it absolutely has to be a substantive, "Eigner:"?

comment:60 in reply to: ↑ 56 Changed 4 years ago by anonymous

Replying to anonymous:

Replying to sonicpictures:

Replying to Heiko Graeber <ip.3777@…>:

Replying to anonymous:

Yes, I get your point. As you may have noticed it is not easy to find appropriate terms for everything. The "Status der Lösung" is already the product of some discussion and agreement. But you really have given a better idea for the sense of this resolution. Coming from there - how does "Bearbeitungsergebnis" or "Beurteilung" sound to you?

How about "Ergebnis"? If find this to be the closest translation to "Resolution" and it seems to fit well in the different use cases.

I think "Beurteilung" is pretty much what everyone means, in the sense of "Urteil" or "Entscheidung".

Bearbeitungsergebnis sounds nice, even if it has a lot of syllables (Fazit might be a short word which has nearly the same signification). Beurteilung sounds a bit too heavy for my taste, but how's about Bewertung?

"Bewertung" usually a part of a resolution, so to say the reasoning _why_ it was decided so. But it is not the resolution itself.

-Alexander

comment:61 in reply to: ↑ 59 Changed 4 years ago by anonymous

Replying to Robert Rossmair <r.rossmair@…>:

Tickets: I don't like the translation of "Owned by:" as "Verantwortlicher:" (i.e. "person responsible [male]:"). "Verantwortlicher" has a "who to put the blame on if something goes wrong" note, which IMO goes against the spirit of collaboration Trac in my understanding tries to promote. Why not "Gehört:" (which rings positive and would have the benefit of being gender-neutral)? Or, if it absolutely has to be a substantive, "Eigner:"?

I think that the correct term would be "Eigentümer".

-Alexander

comment:62 Changed 4 years ago by jruigrok

  • Owner jruigrok deleted
  • Status changed from assigned to new

comment:63 Changed 4 years ago by cboos

See also #8933 which proposes some changes to the translations used for the main navigation bar.

comment:64 Changed 4 years ago by cboos

  • Milestone changed from 0.12 to translations

Note that I'm currently considering various options for improving the translation workflow: using Transifex, providing svn accounts for translators, etc. If not already done, people interested should join the Trac-dev MailingList (see Trac i18n and Transifex).

At this point, the german translation shows 86% completion, not bad, but not perfect either ;-)

comment:65 Changed 4 years ago by dasch <dasch_87@…>

  • Cc dasch_87@… added

comment:66 Changed 4 years ago by gregor.wegberg@…

Do we use www.transifex.net now? I already created a German translation group and used it. I think Transfix would be a great way to improve the translations. The only thing is that we need somebody to get the translations from Transifex and put them into SVN.

What do you think about it?

comment:67 follow-ups: Changed 4 years ago by cboos

Hello Gregor,

Yes we can start to experiment with Transifex, I just received your submission. However it doesn't seem like you added something:

Your translation:

$ msgfmt --check --statistics trac-locale-de-LC_MESSAGES-messages.po
784 translated messages, 1 fuzzy translation.

In the repository:

$ msgfmt --check --statistics trac/locale/de/LC_MESSAGES/messages.po
785 translated messages.

So I wonder, is this a Transifex issue (you're among the very first users for Trac ;-) )? Also, the message count should be of 1042, if you get the file from Transifex, clicking on the Download link for your language:

http://www.transifex.net/projects/p/trac/c/default/raw/trac/locale/de/LC_MESSAGES/messages.po

Unfortunately, the file I received that way had indeed only 785 messages in it, so it's time to reopen #Tx495…

comment:68 in reply to: ↑ 67 Changed 4 years ago by gregor.wegberg@…

Replying to cboos:

Hello Gregor,

Yes we can start to experiment with Transifex, I just received your submission. However it doesn't seem like you added something:

I changed about five to ten translations but somehow it didn't work. I used the online translation tool on Transifex. I'il try later to do it again with a standalone application and upload it on Transifex.

comment:69 in reply to: ↑ 67 ; follow-up: Changed 4 years ago by gregor.wegberg@…

Replying to cboos:

Unfortunately, the file I received that way had indeed only 785 messages in it, so it's time to reopen #Tx495…

Ok, this is in fact annoying. Can someone tell me where the .po-file is up to date so I can use it and put a patch in here.

Gregor

comment:70 in reply to: ↑ 69 Changed 4 years ago by cboos

Replying to gregor.wegberg@…:

Replying to cboos:

Unfortunately, the file I received that way had indeed only 785 messages in it, so it's time to reopen #Tx495…

Ok, this is in fact annoying. Can someone tell me where the .po-file is up to date so I can use it and put a patch in here.

That's what would have been one of the benefits of Transifex, make it a bit easier for the translator to get up-to-date catalogs. The other way, not that hard either, is to follow the steps described in TracL10N.

comment:71 Changed 4 years ago by Felix Schwarz <felix.schwarz@…>

  • Cc felix.schwarz@… added

Changed 4 years ago by Felix Schwarz <felix.schwarz@…>

sync outdated po file with pot

Changed 4 years ago by Felix Schwarz <felix.schwarz@…>

fix fuzzy translations - I tried only to correct obvious problems

Changed 4 years ago by Felix Schwarz <felix.schwarz@…>

fix some obvious spelling mistakes (mostly "daß" → "dass", "muß" → muss) as well as some format strings

comment:72 Changed 4 years ago by fschwarz

committed my changes in r9485, r9486 and r9487. Feel free to add patches, the translation need to be improved in a lot of places. Next step for me is a wiki page to clarify the translation style and commonly translated terms.

comment:73 follow-up: Changed 4 years ago by rblank

  • Owner set to Felix Schwarz <felix.schwarz@…>

#9258 has been closed as a duplicate, and contains a patch that fixes many missing translations.

Changed 4 years ago by Daniel Musketa <daniel@…>

Some more strings translated

comment:74 in reply to: ↑ 73 Changed 4 years ago by fschwarz

Applied Daniels additions in r9538 - thanks for contributing :-)

comment:75 Changed 4 years ago by rblank

Felix, I happened to bump into a format string error in [9539]:

#: trac/wiki/templates/wiki_delete.html:36 
#, python-format 
msgid "Are you sure you want to delete version %(version)s of this page?" 
msgstr "Sind Sie sicher, dass Sie Version %(version)S dieser Seite löschen möchten?" 

Note the capital S in %(version)S, it should be a small s.

comment:76 Changed 4 years ago by fschwarz

strange - I'm sure I compiled my catalog. Obviously I messed up with my hg patch queue. :-/ Fixed in r9540.

comment:77 follow-up: Changed 4 years ago by gregor.wegberg@…

I just got a translation submit on Transifex. As it looks like Transifex fixed the bug that stopped us from using it: http://trac.transifex.org/ticket/495.

I'd like to make the request that we move to Transifex for translations. I'il be happy to hand over the coordinator position to fschwarz for the german translation group. Just write me (E-Mail or on Transifex). I think he has more time to coordinate as me.

For now I keep the submit of 'hasienda' on hold till we decide how we do the translation.

comment:78 Changed 4 years ago by felix.schwarz@…

I'm all for transifex, let's try it. Please submit your translations to http://www.transifex.net/projects/p/trac/team/de/

comment:79 in reply to: ↑ 77 Changed 4 years ago by hasienda <hoff.st@…>

Replying to gregor.wegberg@…:

I just got a translation submit on Transifex. As it looks like Transifex fixed the bug that stopped us from using it: http://trac.transifex.org/ticket/495.

I was submitting some edits done online in the editor web-ui, not uploading a local file.

I'd like to make the request that we move to Transifex for translations. I'il be happy to hand over the coordinator position to fschwarz for the german translation group. Just write me (E-Mail or on Transifex). I think he has more time to coordinate as me.

How strange, I'm here to speak a big word of caution against a least the Transifex editor web-ui. As I wrote in the first discussion for the German Trac translator group I found that it mangles python indentation of doc sting style multi-line text. Bad for easy commit, (too?) much work for the coordinator and/or developer I think.

For now I keep the submit of 'hasienda' on hold till we decide how we do the translation.

I reworked it outside Transifex and sent to Felix directly as PO as well as patch against latest PO in Tracs repo.

As Felix told me, he'd be happy now to receive contributions preferably as patch (udiff) against latest PO in Tracs repo. He'll commit often, if he'll get enough translations. I joint with user vlt (nick at #trac on irc.freenode.net) to go through the whole catalog during the next days. More translators are welcome. Please drop a note here or join us at Transifex, just for coordination.

Changed 4 years ago by hasienda <hoff.st@…>

patch as submitted to Felix Schwarz directly, just for reference

Changed 4 years ago by Daniel Musketa (vlt) <daniel@…>

diff against trunk including (most of) hasienda's Patches

Changed 4 years ago by Daniel Musketa (vlt) <daniel@…>

for real this time

Changed 4 years ago by Daniel Musketa (vlt) <daniel@…>

updated to latest extraction and tons of new translations from hasienda and vlt

Changed 4 years ago by Daniel Musketa (vlt) <daniel@…>

diff against yesterday's patch: minor changes and small fixes

Changed 4 years ago by Daniel Musketa <daniel@…>

diff against previous patch: fixed typo

comment:80 follow-up: Changed 4 years ago by fschwarz

I applied Daniel's patch with some few changes in r9613. German translation should be 100% now :-) Thank you very much.

Changed 4 years ago by Daniel Musketa <daniel@…>

diff against r9613

Changed 4 years ago by Daniel Musketa <daniel@…>

diff against r9613+02_minor_changes

comment:81 in reply to: ↑ 80 Changed 4 years ago by Daniel Musketa <daniel@…>

Replying to fschwarz:

Thank you for reviewing and fixing our errors. And thank you for pointing us to make update-de and make check-de. Knowing this a few days earlier would have saved us much tedious kdiff3 magic last weekend ;-)

Your changes are all fine — except for two which I'd love to see reverted (see 01_disputable_fixes).

Then there are a few more minor changes and fixes in 02_minor_changes.

Changed 4 years ago by Daniel Musketa <daniel@…>

diff see no color

Changed 4 years ago by Daniel Musketa <daniel@…>

diff see no color

comment:82 Changed 4 years ago by Daniel Musketa <daniel@…>

I see trees of green … 01_disputable_fixes.patch and 02_minor_changes.patch

Changed 4 years ago by Daniel Musketa <daniel@…>

fixed typo

Changed 4 years ago by Daniel Musketa <daniel@…>

update after r9632

Changed 4 years ago by Daniel Musketa <daniel@…>

fixed fuzzy translation

Changed 4 years ago by Daniel Musketa <daniel@…>

added missing closing bracket

comment:83 Changed 4 years ago by cboos

Be careful, attachment:05-fixed-fuzzy-translation.patch#9171 or similar.

Please make sure the [n:...] nestings are correct, as unfortunately Babel compile_catalog step has no way to detect breakage of this Genshi convention yet (#G378).

comment:84 Changed 4 years ago by cboos

Good ;-)

Changed 4 years ago by Daniel Musketa <daniel@…>

update after r9651

Changed 4 years ago by Daniel Musketa <daniel@…>

fixed/added translations

Changed 4 years ago by Daniel Musketa <daniel@…>

fixed typo

comment:85 Changed 4 years ago by Daniel Musketa <daniel@…>

  • Cc daniel@… added

Changed 4 years ago by Daniel Musketa <daniel@…>

update de after r9672

Changed 4 years ago by Daniel Musketa <daniel@…>

fixed translations

comment:86 Changed 4 years ago by Daniel Musketa <daniel@…>

several updates after new extractions added

comment:87 Changed 4 years ago by fschwarz

applied all updates from Daniel in r9702. I very much liked the patch set so it was easy to verify your steps (though I only found one typo which you fixed but re-introduced with a later patch).

Changed 4 years ago by Daniel Musketa <daniel@…>

Changed 4 years ago by Daniel Musketa <daniel@…>

Changed 4 years ago by Daniel Musketa <daniel@…>

comment:88 follow-up: Changed 4 years ago by Daniel Musketa <daniel@…>

updates after latest extraction:

Replying to fschwarz:

(though I only found one typo which you fixed but re-introduced with a later patch).

Thank you for fixing that error. For translating trac I installed (and for the first time used) git. Maybe I got lost somewhere in my jungle of branches ;-)

comment:89 in reply to: ↑ 88 Changed 4 years ago by fschwarz

Replying to Daniel Musketa <daniel@…>:

updates after latest extraction: (…)

committed in r9741

Changed 4 years ago by Daniel Musketa <daniel@…>

Changed 4 years ago by Daniel Musketa <daniel@…>

comment:90 Changed 4 years ago by Daniel Musketa <daniel@…>

Changed 4 years ago by Daniel Musketa <daniel@…>

Changed 4 years ago by Daniel Musketa <daniel@…>

comment:91 Changed 4 years ago by Daniel Musketa <daniel@…>

comment:92 follow-up: Changed 4 years ago by Robert Rossmair <r.rossmair@…>

The page where details for a new ticket are to be specified is headed "Neues Ticket erstellen" ("create new ticket"). The button on that page which actuates the creation is labeled "Neues Ticket erstellen", too. This has significant potential to bewilder inexperienced users (I am talking from experience, two users of my Trac installation reported to me about that).

The button should be labeled "Ticket erstellen" instead (i.e. "create ticket"), in analogy to the page layout in English.

comment:93 Changed 4 years ago by hasienda <hoff.st@…>

  • Cc hoff.st@… added

Changed 4 years ago by Daniel Musketa <daniel@…>

comment:94 in reply to: ↑ 92 ; follow-up: Changed 4 years ago by Daniel Musketa <daniel@…>

Replying to Robert Rossmair <r.rossmair@…>:

The button should be labeled "Ticket erstellen" instead (i.e. "create ticket"), in analogy to the page layout in English.

I think you're right, patch added.

@felix: I'm still learning how to use git efficiently and created a new local branch for that fix. Hope it doesn't break your queue.

comment:95 in reply to: ↑ 94 Changed 4 years ago by fschwarz

Replying to Daniel Musketa <daniel@…>:

@felix: I'm still learning how to use git efficiently and created a new local branch for that fix. Hope it doesn't break your queue.

Nope, not at all :-)

I committed your changes in r9800, thanks again :-)

Changed 4 years ago by hasienda <hoff.st@…>

micro patch correcting one admin nav item for the ticket system

comment:96 Changed 4 years ago by hasienda <hoff.st@…>

Just noticed this testing r9824. It's the only entry with a colon, don't know, how it slipped in. Please fix it.

comment:97 follow-up: Changed 4 years ago by cboos

Any chance to finish the last two messages till tomorrow?

comment:98 in reply to: ↑ 97 Changed 4 years ago by rblank

Replying to cboos:

Any chance to finish the last two messages till tomorrow?

The last two messages were already correctly translated, so I have removed the fuzzy markers in [9849]. I have also applied i18n_de_ticket-admin_components-label_fixed.patch.

l10n/de is at 100%.

comment:99 follow-up: Changed 4 years ago by Martin Scharrer <martin@…>

  • Cc martin@… added

Hi,

the plurals of some German time units (days, month, years) are not correct for the time deltas. While they where translated correctly, German grammar requires an "n" added in this context.

"x days ago" → "vor x Tagen" not "vor x Tage"

same for "Monaten" and "Jahren".

Patch attachment:de_timedelta_plural_fix.patch fixes this.

Changed 4 years ago by Martin Scharrer <martin@…>

Small patch to change German plural of "days", "month", "years" to include the missing "n" ("Tagen" instead of "Tage", etc.) required in the context of timedeltas.

comment:100 in reply to: ↑ 99 ; follow-up: Changed 4 years ago by Daniel Musketa <daniel@…>

Replying to Martin Scharrer <martin@…>:

"x days ago" → "vor x Tagen" not "vor x Tage"

Hello Martin,

thank you for contributing. I'm afraid it's not that easy. There are occurances of time deltas when not the Dative case is required. We tried really hard to fix this before releasing in May but there were problems with Genshi that would have caused too many changes.

I'll post our efforts so far soon.

comment:101 in reply to: ↑ 100 Changed 4 years ago by Martin Scharrer <martin@…>

Replying to Daniel Musketa <daniel@…>:

Replying to Martin Scharrer <martin@…>:

"x days ago" → "vor x Tagen" not "vor x Tage"

thank you for contributing. I'm afraid it's not that easy. There are occurances of time deltas when not the Dative case is required.

Ok, I understand. I didn't see them anywhere except in the "(x units ago)" form so I did not thought about this. I patched it for my system because I'm developing the th:WatchlistPlugin which uses this form and I couldn't look at the wrong Grammer any longer ;-)

comment:102 Changed 3 years ago by anonymous

I don't like the word "Changeset" - wouldn't it better to take "Revision" ?! (maybe also in English)

comment:103 Changed 3 years ago by cboos

See TracTermsDe, where you can discuss and suggest such changes. Note that a similar discussion already took place in the past in TracTermsFr, so if you can read French or use a translation service, also have a look there.

comment:104 Changed 3 years ago by shoffmann

I see, that you've already followed Christians advise, but I still want to point at wiki:TracL10N/DiscussionDe, where I tried to discuss various terms some time ago. Would be nice to have you in the same boat. But remember, since there's no such thing like wiki change announcements (like for ticket changes), it may take a long time, before you get any reaction. Consider posting to the MailingList to spread the word faster, if you really care.

comment:105 Changed 3 years ago by shoffmann

See #10137 for a discussion about German translation for 'Annotate' in Trac browser context.

comment:106 follow-up: Changed 3 years ago by Philipp Cordes <pc@…>

The German footer (trac version 0.12.2, see below) contains raw less-than and greater-than signs for use in e-mail addresses. These should be escaped as &lt; and &gt;. (Btw. it is rather long and doesn’t fit the line. It also doesn’t respect the corresponding config file option which only seems to apply when using the English locale.)

Project-Id-Version: Trac 0.12
Report-Msgid-Bugs-To: trac-dev@…
POT-Creation-Date: 2010-05-23 17:45+0200
PO-Revision-Date: 2010-11-14 18:10+0100
Last-Translator: Felix Schwarz <felix.schwarz@…>
Language-Team: de_DE <trac-dev@…>
Plural-Forms: nplurals=2; plural=(n != 1)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Generated-By: Babel 0.9.6

(e-mail addresses hidden)

comment:107 in reply to: ↑ 106 ; follow-up: Changed 3 years ago by shoffmann

Replying to Philipp Cordes <pc@…>:

The German footer (trac version 0.12.2, see below) contains raw less-than and greater-than signs for use in e-mail addresses. These should be escaped as &lt; and &gt;.

It's not that obvious, what your complaint is about, sorry. Why did you include the PO file header? The described behavior is at least not true for the Trac 0.13dev revision I'm running here (no "≠"-signs visible, overwrite by config option footer in [project] section of trac.ini works just fine). Showing exactly the bad markup would help a lot.

comment:108 in reply to: ↑ 107 ; follow-up: Changed 3 years ago by Philipp Cordes <pc@…>

Replying to shoffmann:

It's not that obvious, what your complaint is about, sorry. Why did you include the PO file header? The described behavior is at least not true for the Trac 0.13dev revision I'm running here (no "≠"-signs visible, overwrite by config option footer in [project] section of trac.ini works just fine). Showing exactly the bad markup would help a lot.

Well, it is the bad markup:

    <div id="footer" lang="en" xml:lang="en"><hr />
      <a id="tracpowered" href="http://trac.edgewall.org/"><img src="/basiskurs/chrome/common/trac_logo_mini.png" height="30" width="107" alt="Trac Powered" /></a>
      <p class="left">Betrieben mit <a href="/basiskurs/about"><strong>Trac 0.12.2</strong></a><br />
        von <a href="http://www.edgewall.org/">Edgewall Software</a>.</p>
      <p class="right">Project-Id-Version: Trac 0.12
…
Generated-By: Babel 0.9.6
</p>
    </div>

The lang attributes don’t seem to honour the actual language.

Setting an empty footer caused this issue; I believe that an empty footer didn’t have this effect until “recently” (well, new server, fresh installation, newly added i18n support).

comment:109 in reply to: ↑ 108 Changed 3 years ago by rblank

Replying to Philipp Cordes <pc@…>:

Setting an empty footer caused this issue; I believe that an empty footer didn’t have this effect until “recently” (well, new server, fresh installation, newly added i18n support).

This may be a bug. We shouldn't pass a footer read from trac.ini through a translation function.

comment:110 Changed 3 years ago by Philipp Cordes <pc@…>

I believe that Preview page should be translated as Seitenvorschau, not as Vorschauseite, because it is a preview of the page you’re currently editing, not just a page containing a preview. But the word Seitenvorschau is rather uncommon; therefore I’d shorten it to Vorschau.

Changed 3 years ago by anonymous

Additional message strings for ticket #9777

Changed 3 years ago by anonymous

German translation for additional message strings of ticket #9777

comment:111 follow-up: Changed 3 years ago by anonymous

I added the additional message strings, for ticket #9777 and translated them; see above diffs.

I haven't got several strings to translate (I haven't translated too much in Trac):

msgid ""
"File %(file)s,\n"
"                [1:%(size)s]\n"
"                (added by %(author)s, %(date)s)"
msgstr ""

And the two descriptions under "Preferences > Time":

Configuring your date format will result in formatting and parsing datetime displayed on this site to use your date format instead of that of the server.

and

Configuring your relative/absolute format will result in formatting datetime displayed on this site to use your format instead of that of the server.

comment:112 in reply to: ↑ 111 ; follow-ups: Changed 3 years ago by shoffmann

Replying to anonymous:

I added the additional message strings, for ticket #9777 and translated them; see above diffs.

Looks good from reading (not applied to a current Trac system), but I'd prefer a slightly different translation for the very first msgid "Last modified on %(date)s":

"zuletzt geändert am %(date)s"

would even be more consitent with your other translations too.?

I haven't got several strings to translate (I haven't translated too much in Trac):

Ok, let's try.

msgid ""
"File %(file)s,\n"
"                [1:%(size)s]\n"
"                (added by %(author)s, %(date)s)"
msgstr "Datei %(file)s, [1:%(size)s] (hinzugefügt von %(author)s, %(date)s)"

Hints: Reproduce any markup used by Genshi to replace with some HTML later. Disregard any white space and line breaks - just traces of how the string is written in Python code/Genshi templates, totally unrelated to effective presentation on screen.

And the two descriptions under "Preferences > Time":

Configuring your date format will result in formatting and parsing datetime displayed on this site to use your date format instead of that of the server.

and

Configuring your relative/absolute format will result in formatting datetime displayed on this site to use your format instead of that of the server.

How about

Wenn Sie Ihr Datumsformat einstellen, hat das zur Folge, dass von diesem System für jedes angezeigte Datum und jede Zeitanzeige sowie für alle Datums- und Zeiteingaben Ihr Datumsformat anstelle des Formats des Servers verwendet wird.

and

Wenn Sie ein relativen oder absolutes Format einstellen, hat das zur Folge, dass von diesem System für jedes angezeigte Datum und jede Zeitanzeige Ihr Format anstelle des Formats des Servers verwendet wird.

I may accept different wording, but personally enjoy the good old Genitiv. And if we follow this recommendation, I'm still not 100 % sure, whether "Formats" or "Formates" would be reading better. There must be different opinions, and consider common use in Austria and German parts of Switzerland, but I've no experience. How is it, and is it even relevant here?

Sorry for discussing German language issues in English (a bit awkward), but I didn't start that thread, just following.

comment:113 in reply to: ↑ 112 Changed 3 years ago by fschwarz

Replying to shoffmann:

I may accept different wording, but personally enjoy the good old Genitiv. And if we follow this recommendation, I'm still not 100 % sure, whether "Formats" or "Formates" would be reading better. There must be different opinions, and consider common use in Austria and German parts of Switzerland, but I've no experience. How is it, and is it even relevant here?

I'd prefer 'Formats' - Genitiv FTW.

comment:114 in reply to: ↑ 112 Changed 3 years ago by franz.mayer@…

I was anonymous above ;-)

Replying to shoffmann:

Looks good from reading (not applied to a current Trac system), but I'd prefer a slightly different translation for the very first msgid "Last modified on %(date)s":

"zuletzt geändert am %(date)s"

would even be more consitent with your other translations too.?

You are right, but the am is already in %(date)s, which is a placeholder of this msgid:

#: trac/timeline/web_ui.py:282
#, python-format
msgid "on %(date)s at %(time)s"
msgstr "am %(date)s um %(time)s"

So the wording would be "zuletzt geändert am 23.09.2011 um 08:22:00". Honestly I don't know, why the msgid contains an on in "Last modified on %(date)s".

I haven't got several strings to translate (I haven't translated too much in Trac):

Ok, let's try.

msgid ""
"File %(file)s,\n"
"                [1:%(size)s]\n"
"                (added by %(author)s, %(date)s)"
msgstr "Datei %(file)s, [1:%(size)s] (hinzugefügt von %(author)s, %(date)s)"

Hints: Reproduce any markup used by Genshi to replace with some HTML later. Disregard any white space and line breaks - just traces of how the string is written in Python code/Genshi templates, totally unrelated to effective presentation on screen.

Well, maybe I expressed myself a bit unclear. I have problems with finding the correct msgid in messages.pot. So the Template code is like this:

              <th scope="col" i18n:msg="file,size,author,date">
                File $attachment.filename,
                <span title="${_('%(size)s bytes', size=attachment.size)}">${pretty_size(attachment.size)}</span>
                (added by ${authorinfo(attachment.author)}, ${pretty_dateinfo(attachment.date)})
              </th>

I made the above msgid, but this seems not correct. I could not get it work with that msgid.

The same is for the two long descriptions. I don't know how to put them into messages.pot correctly so it applies in Trac.

I may accept different wording, but personally enjoy the good old Genitiv. And if we follow this recommendation, I'm still not 100 % sure, whether "Formats" or "Formates" would be reading better. There must be different opinions, and consider common use in Austria and German parts of Switzerland, but I've no experience. How is it, and is it even relevant here?

Well, for me it's a bit to "genitive" :-P I would translate it a bit more freely, like:

Wenn Sie Ihr Datumsformat einstellen, hat das zur Folge, dass von diesem System für jedes angezeigte Datum und jede Zeitanzeige sowie für alle Datums- und Zeiteingaben Ihr Datumsformat anstelle des standardmäßigen Systemformats Formats des Servers verwendet wird.

Wenn Sie ein relativen oder absolutes Format einstellen, hat das zur Folge, dass von diesem System für jedes angezeigte Datum und jede Zeitanzeige Ihr Format anstelle des standardmäßigen Systemformats Formats des Servers verwendet wird.

Sorry for discussing German language issues in English (a bit awkward), but I didn't start that thread, just following.

A bit strange indeed, but maybe Trac developers might drop by and see what problems Germans have ;-) And I see it as an exercise of my English (sorry if it sometimes sounds bumpy…).

comment:115 Changed 2 years ago by shoffmann

First time testing with a repository attached to Trac here, I noticed a rather small, but ugly glitch in the German translation of msgid " in %(repo)s". Please fix:

comment:116 Changed 2 years ago by shoffmann

I've updated German translation to trunk r10880 lately. Before the next message catalog update it's rather pointless to add the patch here, but I'd just let you know about it to prevent duplication of translation efforts.

comment:117 follow-up: Changed 20 months ago by framay <franz.mayer@…>

When date setting is set to "absolute date format" ("Absolutes Format") the create String is false; tested on [trac.edgewall.org/demo-0.13/ticket/758 demo-0.13] (rev Trac 1.0rc1-r11277) it is displayed as:

"Erstellt at 2012-09-03T16:23:13+02:00"

comment:118 in reply to: ↑ 117 Changed 20 months ago by fschwarz

Replying to framay <franz.mayer@…>:

When date setting is set to "absolute date format" ("Absolutes Format") the create String is false; tested on [trac.edgewall.org/demo-0.13/ticket/758 demo-0.13] (rev Trac 1.0rc1-r11277) it is displayed as: "Erstellt at 2012-09-03T16:23:13+02:00"

This was due to some untranslated items (German is still not at 100% due to a lack of time on my side), I fixed your issue in r11284.

comment:119 Changed 17 months ago by franz.mayer@…

It would be better to use verb "Klonen" instead of noun "Klon" for clone button. This is more consistent with Trac, since you have also verbs for "Antworten" und "Bearbeiten".

See #10948 for a patch: t10948-klonen.patch

Add Comment

Modify Ticket

Change Properties
<Author field>
Action
as new The owner will remain Felix Schwarz <felix.schwarz@…>.
as The resolution will be set. Next status will be 'closed'.
The owner will be changed from Felix Schwarz <felix.schwarz@…> to anonymous. Next status will be 'assigned'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.